<?php
$birthyear = $_GET['year'];
$birthmonth = $_GET['month'];
$birthday = $_GET['day'];
$name = base64_decode($_GET['name']);
$name = "$name's biorhythm";
$font = "lexipa.ttf";
$fontsize = 7;


$image = imagecreatefromgif("back.gif");

$white = imagecolorallocate($image,235,255,255);
$black = imagecolorallocate($image,1,1,1);
$red = imagecolorallocate($image,150,1,1);
$green = imagecolorallocate($image,1,125,1);

$measurements = imagettfbbox($fontsize,0,$font,$name);
$x = (343 - $measurements[2])/2;

imagettftext($image, $fontsize, 0, $x, 7, $black, $font, $name);

$dayslived = abs(gregorianToJD($birthmonth, $birthday, $birthyear) - gregorianToJD(date( "m"), date( "d"), date( "Y")));
$pi = M_PI;
$physical = sin((2*$pi*$dayslived)/23);
$emotional = sin((2*$pi*$dayslived)/28);
$intellectual = sin((2*$pi*$dayslived)/33);
$mastery = ($intellectual+$physical)/2;
$passion = ($physical+$emotional)/2;
$wisdom = ($emotional+$intellectual)/2;

function determinephase($arg1) {
	global $color;
	global $black;
	global $green;
	global $red;
	if ($arg1 == 0)
	{$arg1 = "Mixed"; $color = $black;}
	if ($arg1 > 0)
	{$arg1 = "Active"; $color = $green;}
	if ($arg1 < 0)
	{$arg1 = "Passive"; $color = $red;}
	return $arg1;
}

imagettftext($image, $fontsize, 0, 12, 24, $black, $font, "Physical");
imagettftext($image, $fontsize, 0, 2, 43, $black, $font, "Intellectual");
imagettftext($image, $fontsize, 0, 8, 63, $black, $font, "Emotional");
$physicaltext = determinephase($physical);
imagettftext($image, $fontsize, 0, 72, 24, $color, $font, $physicaltext." (".round($physical,2)*100 ."%)");
$intellectualtext = determinephase($intellectual);
imagettftext($image, $fontsize, 0, 72, 43, $color, $font, $intellectualtext." (".round($intellectual,2)*100 ."%)");
$emotionaltext = determinephase($emotional);
imagettftext($image, $fontsize, 0, 72, 63, $color, $font, $emotionaltext." (".round($emotional,2)*100 ."%)");

imagettftext($image, $fontsize, 0, 190, 24, $black, $font, "Mastery");
imagettftext($image, $fontsize, 0, 192, 43, $black, $font, "Passion");
imagettftext($image, $fontsize, 0, 192, 63, $black, $font, "Wisdom");
$masterytext = determinephase($mastery);
imagettftext($image, $fontsize, 0, 250, 24, $color, $font, $masterytext." (".round($mastery,2)*100 ."%)");
$passiontext = determinephase($passion);
imagettftext($image, $fontsize, 0, 250, 43, $color, $font, $passiontext." (".round($passion,2)*100 ."%)");
$wisdomtext = determinephase($wisdom);
imagettftext($image, $fontsize, 0, 250, 63, $color, $font, $wisdomtext." (".round($wisdom,2)*100 ."%)");

//Tell the browser we're sending an image, send it.
header("Content-type: image/png");
imagepng($image);
?>