<?php
//Pull in variables.
$time = $_GET['time'];
$until = base64_decode($_GET['until']);
$happened = base64_decode($_GET['happened']);
$color = $_GET['color'];
$colorp1 = hexdec(substr($color, 0, 2));
$colorp2 = hexdec(substr($color, 2, 2));
$colorp3 = hexdec(substr($color, 4, 2));

$multiplier = $_GET['size'];
$ds = $_GET['ds'];
if (date("I") == 1 && $ds == 0) {$time = $time - 3600;}
if (date("I") == 0 && $ds == 1) {$time = $time + 3600;}

//Set options.
$font = "./lexipa.ttf";
$fontsize = 7*$multiplier;
$width = 215*$multiplier;

//Image properties
$image = imagecreate($width,19*$multiplier);
$white = imagecolorallocate($image, 255, 205, 255);
$textcolor = imagecolorallocate($image, $colorp1, $colorp2, $colorp3);

//Simple math.
$difference = $time - time();

//Math to figure out the time left.
$days = floor($difference/86400);
$hours = floor(($difference%86400)/3600);
$minutes = floor((($difference%86400)%3600)/60);
$seconds = floor((($difference%86400)%3600)%60);

//Set up the singular/plural wording.
$daytext = "days";
$hourtext = "hours";
$minutetext = "minutes";
$secondtext = "seconds";
if ($days == 1) { $daytext = "day";}
if ($hours == 1) { $hourtext = "hour";}
if ($minutes == 1) { $minutetext = "minute";}
if ($seconds == 1) { $secondtext = "second";}

$days = number_format($days);

//Test if timer's gone off.
if ($difference <= 0) {
	//If it has...
	//Choose timeout message.
	$string = $happened;
	//Center X.
	$measurements = imagettfbbox($fontsize,0,$font,$string);
	$x = ($width - $measurements[2])/2;
	//Write it.
	imagettftext($image, $fontsize, 0, $x, 12*$multiplier, -$textcolor, $font, $string);
	
} else {
	//If it hasn't...
	//Choose what the countdown text will say.
	$string = "$days $daytext, $hours $hourtext, $minutes $minutetext, and $seconds";
	$string2 = "$secondtext until $until";

	//Center 1, write it.
	$measurements = imagettfbbox($fontsize,0,$font,$string);
	$x = ($width - $measurements[2])/2;
	imagettftext($image, $fontsize, 0, $x, 7*$multiplier, -$textcolor, $font, $string);

	//Center 2, write it.
	$measurements = imagettfbbox($fontsize,0,$font,$string2);
	$x = ($width - $measurements[2])/2;
	imagettftext($image, $fontsize, 0, $x, 17*$multiplier, -$textcolor, $font, $string2);
}

//Set the background transparent.
imagecolortransparent($image, $white);
//Tell the browser we're sending an image, then send it.
header("Content-Type: image/gif"); 
imagegif($image);
?>