<?php
//Pull in variables.
$time = $_GET['time'];
$event = base64_decode($_GET['event']);
$color = $_GET['color'];
$colorp1 = hexdec(substr($color, 0, 2));
$colorp2 = hexdec(substr($color, 2, 2));
$colorp3 = hexdec(substr($color, 4, 2));
$multiplier = $_GET['size'];
$ds = $_GET['ds'];
if (date("I") == 1 && $ds == 0) {$time = $time - 3600;}
if (date("I") == 0 && $ds == 1) {$time = $time + 3600;}

//Set options.
$font = "./lexipa.ttf";
$fontsize = 7*$multiplier;
$width = 250*$multiplier;

//Image properties
$image = imagecreate($width,29*$multiplier);
$white = imagecolorallocate($image, 255, 205, 255);
$textcolor = imagecolorallocate($image, $colorp1, $colorp2, $colorp3);

//Simple math.
$difference = time() - $time;

//Math to figure out the time left.
$years = floor($difference/31536000);
if ($years == 0) {
	$days = floor($difference/86400);
	$hours = floor(($difference%86400)/3600);
	$minutes = floor((($difference%86400)%3600)/60);
	$seconds = floor((($difference%86400)%3600)%60);

	//Set up the singular/plural wording.
	$daytext = "days";
	$hourtext = "hours";
	$minutetext = "minutes";
	$secondtext = "seconds";
	if ($days == 1) { $daytext = "day";}
	if ($hours == 1) { $hourtext = "hour";}
	if ($minutes == 1) { $minutetext = "minute";}
	if ($seconds == 1) { $secondtext = "second";}

	//Choose what the countdown text will say.
	$string = "It's been $days $daytext, $hours $hourtext,";
	$string2 = "$minutes $minutetext, and $seconds $secondtext since";
	$string3 = $event;

	//Center 1, write it.
	$measurements = imagettfbbox($fontsize,0,$font,$string);
	$x = ($width - $measurements[2])/2;
	imagettftext($image, $fontsize, 0, $x, 7*$multiplier, -$textcolor, $font, $string);

	//Center 2, write it.
	$measurements = imagettfbbox($fontsize,0,$font,$string2);
	$x = ($width - $measurements[2])/2;
	imagettftext($image, $fontsize, 0, $x, 17*$multiplier, -$textcolor, $font, $string2);

	//Center 3, write it.
	$measurements = imagettfbbox($fontsize,0,$font,$string3);
	$x = ($width - $measurements[2])/2;
	imagettftext($image, $fontsize, 0, $x, 27*$multiplier, -$textcolor, $font, $string3);
} else {
	$years = floor($difference/31536000);
	$days = floor(($difference%31536000)/86400);
	$hours = floor(($difference%86400)/3600);
	$minutes = floor((($difference%86400)%3600)/60);
	$seconds = floor((($difference%86400)%3600)%60);

	//Set up the singular/plural wording.
	$yeartext = "years";
	$daytext = "days";
	$hourtext = "hours";
	$minutetext = "minutes";
	$secondtext = "seconds";
	if ($years == 1) { $yeartext = "year";}
	if ($days == 1) { $daytext = "day";}
	if ($hours == 1) { $hourtext = "hour";}
	if ($minutes == 1) { $minutetext = "minute";}
	if ($seconds == 1) { $secondtext = "second";}

	//Choose what the countdown text will say.
	$string = "It's been $years $yeartext, $days $daytext, $hours $hourtext,";
	$string2 = "$minutes $minutetext, and $seconds $secondtext since";
	$string3 = $event;

	//Center 1, write it.
	$measurements = imagettfbbox($fontsize,0,$font,$string);
	$x = ($width - $measurements[2])/2;
	imagettftext($image, $fontsize, 0, $x, 7*$multiplier, -$textcolor, $font, $string);

	//Center 2, write it.
	$measurements = imagettfbbox($fontsize,0,$font,$string2);
	$x = ($width - $measurements[2])/2;
	imagettftext($image, $fontsize, 0, $x, 17*$multiplier, -$textcolor, $font, $string2);

	//Center 3, write it.
	$measurements = imagettfbbox($fontsize,0,$font,$string3);
	$x = ($width - $measurements[2])/2;
	imagettftext($image, $fontsize, 0, $x, 27*$multiplier, -$textcolor, $font, $string3);
}
	
//Set the background transparent.
imagecolortransparent($image, $white);
//Tell the browser we're sending an image, then send it.
header("Content-Type: image/gif"); 
imagegif($image);
?>